# FoundationClasses
TKernel
Units

# Units_Explorer Class Reference

This class provides all the services to explore
UnitsSystem or UnitsDictionary.
.

`#include <Units_Explorer.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Units_Explorer ()
| Empty contructor of the class. .
Standard_EXPORT | Units_Explorer (const Handle(Units_UnitsSystem)&aunitssystem)
| Creates a new instance of the class, initialized with the UnitsSystem <aunitssystem>. .
Standard_EXPORT | Units_Explorer (const Handle(Units_UnitsDictionary)&aunitsdictionary)
| Creates a new instance of the class, initialized with the UnitsDictionary <aunitsdictionary>. .
Standard_EXPORT | Units_Explorer (const Handle(Units_UnitsSystem)&aunitssystem, const Standard_CString aquantity)
| Creates a new instance of the class, initialized with the UnitsSystem <aunitssystem> and positioned at the quantity <aquantity>. .
Standard_EXPORT | Units_Explorer (const Handle(Units_UnitsDictionary)&aunitsdictionary, const Standard_CString aquantity)
| Creates a new instance of the class, initialized with the UnitsDictionary <aunitsdictionary> and positioned at the quantity <aquantity>. .
Standard_EXPORT void | Init (const Handle(Units_UnitsSystem)&aunitssystem)
| Initializes the instance of the class with the UnitsSystem <aunitssystem>. .
Standard_EXPORT void | Init (const Handle(Units_UnitsDictionary)&aunitsdictionary)
| Initializes the instance of the class with the UnitsDictionary <aunitsdictionary>. .
Standard_EXPORT void | Init (const Handle(Units_UnitsSystem)&aunitssystem, const Standard_CString aquantity)
| Initializes the instance of the class with the UnitsSystem <aunitssystem> and positioned at the quantity <aquantity>. .
Standard_EXPORT void | Init (const Handle(Units_UnitsDictionary)&aunitsdictionary, const Standard_CString aquantity)
| Initializes the instance of the class with the UnitsDictionary <aunitsdictionary> and positioned at the quantity <aquantity>. .
Standard_EXPORT Standard_Boolean | MoreQuantity () const
| Returns True if there is another Quantity to explore, False otherwise. .
Standard_EXPORT void | NextQuantity ()
| Sets the next Quantity current. .
Standard_EXPORT TCollection_AsciiString | Quantity () const
| Returns the name of the current Quantity. .
Standard_EXPORT Standard_Boolean | MoreUnit () const
| Returns True if there is another Unit to explore, False otherwise. .
Standard_EXPORT void | NextUnit ()
| Sets the next Unit current. .
Standard_EXPORT TCollection_AsciiString | Unit () const
| Returns the name of the current unit. .
Standard_EXPORT Standard_Boolean | IsActive () const
| If the units system to explore is a user system, returns True if the current unit is active, False otherwise. If the units system to explore is the units dictionary, returns True if the current unit is the S.I. unit. .

## Private Attributes

Standard_Integer | thecurrentquantity
Handle_Units_QuantitiesSequence | thequantitiessequence
Standard_Integer | thecurrentunit
Handle_Units_UnitsSequence | theunitssequence
Handle_TColStd_HSequenceOfInteger | theactiveunitssequence

## Constructor & Destructor Documentation

Standard_EXPORT Units_Explorer::Units_Explorer | ( |  | ) |

Standard_EXPORT Units_Explorer::Units_Explorer | ( | const Handle(Units_UnitsSystem)& | aunitssystem | ) |

Standard_EXPORT Units_Explorer::Units_Explorer | ( | const Handle(Units_UnitsDictionary)& | aunitsdictionary | ) |

Standard_EXPORT Units_Explorer::Units_Explorer | ( | const Handle(Units_UnitsSystem)& | aunitssystem,
|  | const Standard_CString | aquantity
| ) |

Standard_EXPORT Units_Explorer::Units_Explorer | ( | const Handle(Units_UnitsDictionary)& | aunitsdictionary,
|  | const Standard_CString | aquantity
| ) |

## Member Function Documentation

Standard_EXPORT void Units_Explorer::Init | ( | const Handle(Units_UnitsDictionary)& | aunitsdictionary,
|  | const Standard_CString | aquantity
| ) |

Standard_EXPORT void Units_Explorer::Init | ( | const Handle(Units_UnitsSystem)& | aunitssystem,
|  | const Standard_CString | aquantity
| ) |

Standard_EXPORT void Units_Explorer::Init | ( | const Handle(Units_UnitsDictionary)& | aunitsdictionary | ) |

Standard_EXPORT void Units_Explorer::Init | ( | const Handle(Units_UnitsSystem)& | aunitssystem | ) |

Standard_EXPORT Standard_Boolean Units_Explorer::IsActive | ( |  | ) | const

Standard_EXPORT Standard_Boolean Units_Explorer::MoreQuantity | ( |  | ) | const

Standard_EXPORT Standard_Boolean Units_Explorer::MoreUnit | ( |  | ) | const

Standard_EXPORT void Units_Explorer::NextQuantity | ( |  | ) |

Standard_EXPORT void Units_Explorer::NextUnit | ( |  | ) |

void Units_Explorer::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Units_Explorer::operator new | ( | size_t | size | ) | `[inline]`

void* Units_Explorer::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT TCollection_AsciiString Units_Explorer::Quantity | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString Units_Explorer::Unit | ( |  | ) | const

## Field Documentation

Handle_TColStd_HSequenceOfInteger Units_Explorer::theactiveunitssequence `[private]`

Standard_Integer Units_Explorer::thecurrentquantity `[private]`

Standard_Integer Units_Explorer::thecurrentunit `[private]`

Handle_Units_QuantitiesSequence Units_Explorer::thequantitiessequence `[private]`

Handle_Units_UnitsSequence Units_Explorer::theunitssequence `[private]`

The documentation for this class was generated from the following file:

- Units_Explorer.hxx